using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CsvCount_ES
{
    public class ListModel
    {
        //链式结构的定义：

        //Begin结构的头部第一行保留（初始为空，执行后一定不为空）
        //假如：是集合内第一条，异步时，第一个肯定是完整的，不需要分析前后关系
        string begin =null;

        //End结构的尾部最后一行保留（初始为空，如果结尾不是换行符则填入，结尾是换行符则为空）
        string end = null;

        public string Begin
        {
            get
            {
                return begin;
            }

            set
            {
                begin = value;
            }
        }

        public string End
        {
            get
            {
                return end;
            }

            set
            {
                end = value;
            }
        }

        public ListModel()
        {

        }

        public ListModel(string begin, string end)
        {
            Begin = begin;
            End = end; 
        }
    }
}
